org.apache.cassandra.db.rows

## Class UnfilteredRowIteratorSerializer.Header

- java.lang.Object
- - org.apache.cassandra.db.rows.UnfilteredRowIteratorSerializer.Header

Enclosing class:
  UnfilteredRowIteratorSerializer

    public static class UnfilteredRowIteratorSerializer.Header
    extends java.lang.Object

### Field Summary

Fields
`boolean` `isEmpty`
`boolean` `isReversed`
`DecoratedKey` `key`
`DeletionTime` `partitionDeletion`
`int` `rowEstimate`
`SerializationHeader` `sHeader`
`Row` `staticRow`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### sHeader

    public final SerializationHeader sHeader

#### key

    public final DecoratedKey key

#### isReversed

    public final boolean isReversed

#### isEmpty

    public final boolean isEmpty

#### partitionDeletion

    public final DeletionTime partitionDeletion

#### staticRow

    public final Row staticRow

#### rowEstimate

    public final int rowEstimate

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`